"use strict";

var Helper = require('../../Helper');

var logger = require('../../logger');

var AliasOverlay = require('../../../../main/js/map/overlay/AliasOverlay');

var assert = require('assert');

describe('AliasOverlay', function() {
  var helper;
  before(function() {
    helper = new Helper();
  });

  it("constructor", function() {
    var map = helper.createCustomMap();
    var alias = helper.createAlias(map);
    var layoutAlias = helper.createLayoutAlias(alias);
    
    return AliasOverlay.create(layoutAlias, alias, map, 1, 2).then(function(result) {
      assert.ok(result instanceof AliasOverlay);
      assert.equal(logger.getWarnings.length, 0);
    });
  });
});
