"use strict";

var Helper = require('../../Helper');
var logger = require('../../logger');

var CommentDbOverlay = require('../../../../main/js/map/overlay/CommentDbOverlay');

var assert = require('assert');

describe('CommentDbOverlay', function() {
  var helper;
  before(function() {
    helper = new Helper();
  });

  it("constructor 1", function() {
    var map = helper.createCustomMap();
    var oc = new CommentDbOverlay({
      map : map,
      name : 'test name'
    });
    assert.ok(oc);
    assert.equal(oc.getName(), 'test name');
    
    assert.equal(logger.getWarnings.length, 0);
  });

});
