"use strict";

var logger = require('./logger');

var OriginalGuiConnector = require('../../main/js/GuiConnector');

var GuiConnectorMock = OriginalGuiConnector;

GuiConnectorMock.init = function() {
  //list of available listener types
  this.listeners = [];

  this.getParams = [];

};

GuiConnectorMock.alert = function(message) {
  logger.error(message);
  throw new Error(message);
};

module.exports = GuiConnectorMock;
